Page MenuHomePhabricator

Scap failing to rewrite submodule urls in beta
Closed, ResolvedPublic

Description

Earlier today @awight had issues deploying ORES in beta. Their repository is based in Phabricator. Two things were happening

  • They were using SSH to try and fetch which isn't going to work for a couple of reasons (this will be fixed in T179009)
  • Beta doesn't seem to be rewriting URLs to the local deploy master?

It looks like this is a regression.

Event Timeline

demon created this task.Oct 25 2017, 3:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2017, 3:39 PM

Confirming this bug: scap is failing to rewrite URLs like https://phabricator.wikimedia.org/source/editquality.git, for the /srv/deployment/ores/deploy repo.

mmodell claimed this task.Oct 25 2017, 5:19 PM

seems like deployment-sca03 has the correct remote URLs:

twentyafterfour@deployment-sca03:/srv/deployment/ores/deploy/submodules$ git submodule foreach git remote -v
Entering 'draftquality'
origin	http://deployment-tin.eqiad.wmflabs/ores/deploy/.git/modules/submodules/draftquality (fetch)
origin	http://deployment-tin.eqiad.wmflabs/ores/deploy/.git/modules/submodules/draftquality (push)
Entering 'editquality'
origin	http://deployment-tin.eqiad.wmflabs/ores/deploy/.git/modules/submodules/editquality (fetch)
origin	http://deployment-tin.eqiad.wmflabs/ores/deploy/.git/modules/submodules/editquality (push)
Entering 'ores'
origin	http://deployment-tin.eqiad.wmflabs/ores/deploy/.git/modules/submodules/ores (fetch)
origin	http://deployment-tin.eqiad.wmflabs/ores/deploy/.git/modules/submodules/ores (push)
Entering 'wheels'
origin	http://deployment-tin.eqiad.wmflabs/ores/deploy/.git/modules/submodules/wheels (fetch)
origin	http://deployment-tin.eqiad.wmflabs/ores/deploy/.git/modules/submodules/wheels (push)
Entering 'wikiclass'
origin	http://deployment-tin.eqiad.wmflabs/ores/deploy/.git/modules/submodules/wikiclass (fetch)
origin	http://deployment-tin.eqiad.wmflabs/ores/deploy/.git/modules/submodules/wikiclass (push)
twentyafterfour@deployment-sca03:/srv/deployment/ores/deploy/submodules$ ls

@awight Did you fix this manually?

mmodell lowered the priority of this task from High to Normal.Oct 28 2017, 7:59 PM

It's unbroken now. Still work to do but at least beta deploys are no longer blocked.

@awight: Can you confirm whether this is resolved now that rMSCA1c8be017 is on beta?

Still waiting on confirmation but I believe this is fixed.

greg added a subscriber: greg.Nov 27 2017, 5:56 PM

@awight: Can you confirm whether this is resolved now that rMSCA1c8be017 is on beta?

Still waiting on confirmation but I believe this is fixed.

ping :)

awight closed this task as Resolved.Nov 28 2017, 3:16 PM

Thanks, confirmed that the our submodule URLs are all pointing to tin.wmflabs now!